//- unbuffered code: the dash marks a plain js area.
//- a) code next to a dash
//- b) code nested with indentation
- const item = "John's item";
-
  const items1 = ['item a','item b','item c'];
  const items2 = ['a','b','c'];
div
  ul
    //- buffered code: code next to the element
    li= 2 + 2
    li= 2 + ' string concat'
    li= item
    li.
      item 4 is
      the best
    li= items1[2]
    li= items1
    li
      = items2[2]
      = ': '
      = items2[1]